com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Ask questions about your setup or get help installing ZCS server (ZD section below).
Edx2Eu7
Posts: 11
Joined: Tue Jun 21, 2022 7:57 pm

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby Edx2Eu7 » Thu Jun 23, 2022 7:34 am

on my installation the missing class of this thread is located in the following libs.

Code: Select all

grep -rliE ".*JaxbUtil.*" /opt/zimbra/lib/

/opt/zimbra/lib/jars/cxf-core-3.3.4.jar
/opt/zimbra/lib/jars/zimbrasoap.jar
/opt/zimbra/lib/jars/cxf-core-3.5.1.jar


can someone with this issue run above command?
I would like to know whether it's an issue of missing class file within the library jars or some issue with the code trying to load the class.

Best regards
Ed


saket.patel
Zimbra Employee
Zimbra Employee
Posts: 25
Joined: Mon Apr 11, 2022 8:39 pm

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby saket.patel » Thu Jun 23, 2022 2:14 pm

annahri
Posts: 2
Joined: Wed Jun 22, 2022 8:33 am

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby annahri » Fri Jun 24, 2022 2:38 am

Hi folks, try to reinstall the latest patch https://wiki.zimbra.com/wiki/Zimbra_Rel ... stallation
Mine is working now!

Here's the info I got from Zimbra Support:
> There was some issue with the latest patch so we took down the repo and make it live again with the fixes.
> So we have applied fix in zimbra-proxy-patch, zimbra-proxy-mta, zimbra-proxy-ldap for individual server, that's why reinstall fixed the issue.
User avatar
axslingr
Outstanding Member
Outstanding Member
Posts: 245
Joined: Sat Sep 13, 2014 2:20 am
ZCS/ZD Version: 8.8.15_GA_3829.RHEL7 P16

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby axslingr » Sat Jun 25, 2022 1:29 am

I saw this in testing as well on Centos7 and reinstalling zimbra-patch with yum fixed the issue.

Lance
Edx2Eu7
Posts: 11
Joined: Tue Jun 21, 2022 7:57 pm

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby Edx2Eu7 » Sun Jun 26, 2022 8:36 am

as mentioned here https://forums.zimbra.org/viewtopic.php?f=15&t=70897&p=305625#p305625 my issues were caused by the patch not removing the older versions of the Apache CXF libraries used by Zimbra (all CXF libraries of version 3.3.4 need to be removed). Restarting Zimbra after doing so fixed the issue.
jackyho
Posts: 12
Joined: Wed Sep 12, 2018 6:11 am

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby jackyho » Mon Jun 27, 2022 8:44 am

annahri wrote:Hi folks, try to reinstall the latest patch https://wiki.zimbra.com/wiki/Zimbra_Rel ... stallation
Mine is working now!

Here's the info I got from Zimbra Support:
> There was some issue with the latest patch so we took down the repo and make it live again with the fixes.
> So we have applied fix in zimbra-proxy-patch, zimbra-proxy-mta, zimbra-proxy-ldap for individual server, that's why reinstall fixed the issue.


Thank guys. Simple run this command fixed my issue.

As root, install the package:

Code: Select all

apt-get install zimbra-ldap-patch

Restart ZCS as zimbra user:

Code: Select all

su - zimbra
zmcontrol restart
mstroven
Posts: 30
Joined: Sat Sep 13, 2014 12:49 am

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby mstroven » Wed Jul 06, 2022 2:20 pm

I am experiencing this exact problem.
Please tell me how to apply these java TLS options to my Zimbra server.
sheron
Posts: 1
Joined: Sun Aug 07, 2022 11:30 am

Re: com.zimbra.soap.JaxbUtil error after upgrade to 8.8.15

Postby sheron » Sun Aug 07, 2022 11:33 am

jackyho wrote:
annahri wrote:Hi folks, try to reinstall the latest patch https://wiki.zimbra.com/wiki/Zimbra_Rel ... stallation
Mine is working now!

Here's the info I got from Zimbra Support:
> There was some issue with the latest patch so we took down the repo and make it live again with the fixes.
> So we have applied fix in zimbra-proxy-patch, zimbra-proxy-mta, zimbra-proxy-ldap for individual server, that's why reinstall fixed the issue.


Thank guys. Simple run this command fixed my issue.

As root, install the package:

Code: Select all

apt-get install zimbra-ldap-patch

Restart ZCS as zimbra user:

Code: Select all

su - zimbra
zmcontrol restart



Thanks a lot it is working need update zimbra-ldap-patch

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 21 guests